<?php
/**
 * Block Pattern Class
 *
 * @author Jegstudio
 * @package travey
 */
namespace Travey;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Init Class
 *
 * @package travey
 */
class Asset_Enqueue {
	/**
	 * Class constructor.
	 */
	public function __construct() {
        add_action( 'wp_enqueue_scripts', array( $this, 'enqueue_scripts' ), 20 );
		add_action( 'enqueue_block_assets', array( $this, 'enqueue_scripts' ) );
        add_action( 'admin_enqueue_scripts', array( $this, 'admin_scripts' ), 20 );
	}

    /**
	 * Enqueue scripts and styles.
	 */
	public function enqueue_scripts() {
		wp_enqueue_style( 'travey-style', get_stylesheet_uri(), array(), TRAVEY_VERSION );

				wp_enqueue_style( 'travey-presset', trailingslashit( get_template_directory_uri() ) . '/assets/css/travey-presset.css', array(), TRAVEY_VERSION );
		wp_enqueue_script( 'travey-animation-script', trailingslashit( get_template_directory_uri() ) . '/assets/js/travey-animation-script.js', array(), TRAVEY_VERSION, true );
		wp_enqueue_style( 'travey-custom-styling', trailingslashit( get_template_directory_uri() ) . '/assets/css/travey-custom-styling.css', array(), TRAVEY_VERSION );


        if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}
    }

	/**
	 * Enqueue admin scripts and styles.
	 */
	public function admin_scripts() {
		
    }
}
